System.Runtime.Serialization 4.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Runtime.Serialization.Configuration.DeclaredTypeElement))

This class is used to handle the <dataContractSerializer> Element, specifically, to allow the addition of types to the collection of known types.

Handles the XML elements used to configure XML serialization using the .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Adds the specified configuration element.

  The to add.
- Method
  4.0.0.0
  System.Void To be added.

  Clears the collection of all items.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value if the collection contains the item specified by its type name.

  true if the collection contains the specified item; otherwise, false.

  The name of the configuration element to search for.
- Method
  4.0.0.0
  System.Configuration.ConfigurationElement To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Returns the index of the specified configuration element.

  The index of the specified configuration element; otherwise, -1.

  The to find.
- Property
  4.0.0.0
  System.Runtime.Serialization.Configuration.DeclaredTypeElement `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Runtime.Serialization.Configuration.DeclaredTypeElement `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the specified configuration element from the collection.

  The to remove.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the configuration element specified by its key.

  The type name (that functions as a key) of the configuration element to remove.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the configuration element at the specified index.

  The index of the configuration element to remove.